You are viewing a plain text version of this content. The canonical link for it is here.
Posted to cvs@httpd.apache.org by jo...@apache.org on 2020/12/17 08:20:49 UTC

svn commit: r1884542 - /httpd/httpd/trunk/test/travis_run_linux.sh

Author: jorton
Date: Thu Dec 17 08:20:49 2020
New Revision: 1884542

URL: http://svn.apache.org/viewvc?rev=1884542&view=rev
Log:
Add ab run for TEST_SSL jobs.  This now seems to be stable after the
pool fixes in APR/httpd (huge thanks ylavic).

Github: closes #140

Modified:
    httpd/httpd/trunk/test/travis_run_linux.sh

Modified: httpd/httpd/trunk/test/travis_run_linux.sh
URL: http://svn.apache.org/viewvc/httpd/httpd/trunk/test/travis_run_linux.sh?rev=1884542&r1=1884541&r2=1884542&view=diff
==============================================================================
--- httpd/httpd/trunk/test/travis_run_linux.sh (original)
+++ httpd/httpd/trunk/test/travis_run_linux.sh Thu Dec 17 08:20:49 2020
@@ -58,6 +58,8 @@ if test -v TEST_VPATH; then
     cd ../vpath
 fi
 
+builddir=$PWD
+
 $srcdir/configure --prefix=$PREFIX $CONFIG
 make $MFLAGS
 
@@ -110,8 +112,21 @@ if ! test -v SKIP_TESTING; then
     if test -v TEST_SSL -a $RV -eq 0; then
         pushd test/perl-framework
             for cache in shmcb redis:localhost:6379 memcache:localhost:11211; do
-                SSL_SESSCACHE=$cache ./t/TEST -sslproto TLSv1.2 -defines TEST_SSL_SESSCACHE t/ssl
+                SSL_SESSCACHE=$cache ./t/TEST -sslproto TLSv1.2 -defines TEST_SSL_SESSCACHE -start
+                ./t/TEST t/ssl
                 RV=$?
+                if test $RV -eq 0; then
+                    # TODO: only really useful in e.g. triggering
+                    # server segfaults which are caught later, doesn't
+                    # directly catch non-200 responses etc.
+                    $builddir/support/ab -qd -n 4000 -c 20 -f TLS1.2 https://localhost:8532/
+                    RV=$?
+                fi
+                ./t/TEST -stop
+                SRV=$?
+                if test $RV -eq 0 -a $SRV -ne 0; then
+                    RV=$SRV
+                fi
                 test $RV -eq 0 || break
             done
         popd